pub mod behavior;

use galactica_content as content;
use galactica_physics::{Physics, ShipHandle};

pub trait ShipBehavior
where
	Self: Send,
{
	fn update_controls(&mut self, physics: &mut Physics, content: &content::Content);
	fn get_handle(&self) -> ShipHandle;
}
